New entity

Discussion in 'AutoCAD' started by fongzl, Aug 1, 2004.

  1. fongzl

    fongzl Guest

    can i creat a new entity or is there user entities?
     
    fongzl, Aug 1, 2004
    #1
  2. fongzl

    TCEBob Guest

    Well, just draw a line. Voila! New entity. You probably mean from a lisp
    routine. Yes, but you need to get real familiar with dxf codes. All entities are
    lists of attributes. All you have to do is make your own list and use (entmake).

    Here's a little toy for you. Load it, type SHO and pick something. The entity
    list will come up for you to study.

    (defun c:sho () (princ (entget (car (entsel))))(textscr)(princ))

    rs
     
    TCEBob, Aug 1, 2004
    #2
  3. fongzl

    fongzl Guest

    i know your "toy",and i usually use it--same function but write by myself.
    but now, i just want to creat a new kind of entity.
    for example:
    two pline means a road
    in it's entity list, there is one list,such as (5.23)
    the "23" means the width of the road
     
    fongzl, Aug 4, 2004
    #3
  4. fongzl

    TCEBob Guest

    I believe it is possible but I have no clue how to do it. Perhaps you have to go
    to Visual Basic or even C++. I suppose if it were easy Autodesk would have done
    it already. I know a lot of people would like to have MLINE extended to include
    arcs.

    rs
     
    TCEBob, Aug 4, 2004
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.